import request from '@/utils/request'

// 查询接口数据量统计列表
export function listStatistics(query) {
  return request({
    url: '/crops/statistics/list',
    method: 'get',
    params: query
  })
}

// 查询接口数据量统计详细
export function getStatistics(id) {
  return request({
    url: '/crops/statistics/' + id,
    method: 'get'
  })
}

// 新增接口数据量统计
export function addStatistics(data) {
  return request({
    url: '/crops/statistics',
    method: 'post',
    data: data
  })
}

// 修改接口数据量统计
export function updateStatistics(data) {
  return request({
    url: '/crops/statistics',
    method: 'put',
    data: data
  })
}

// 删除接口数据量统计
export function delStatistics(id) {
  return request({
    url: '/crops/statistics/' + id,
    method: 'delete'
  })
}
